<?php
/**
 * @package     Duitku for VikBooking WordPress
 * @subpackage  core
 * @author      Duitku
 * @copyright   Copyright (C) 2022 Duitku All rights reserved.
 * @license     GPLv3
 * @link        https://www.duitku.com/
 */

// No direct access
defined('ABSPATH') or die('No script kiddies please!');

// Define plugin base path
define('DUITKU_FOR_VIK_DIR', dirname(__FILE__));
// Define plugin base URI
define('DUITKU_FOR_VIK_URI', plugin_dir_url(__FILE__));

/**
 * Imports the file of the gateway and returns the classname
 * of the file that will be instantiated by the caller.
 *
 * @param 	string 	$plugin  The name of the caller.
 *
 * @return 	mixed 	The classname of the payment if exists, otherwise false.
 */
function duitku_for_vik_load_payment($plugin)
{
	if (!JLoader::import("{$plugin}.duitku", DUITKU_FOR_VIK_DIR))
	{
		// there is not a version available for the given plugin
		return false;
	}

	return ucwords($plugin) . 'DuitkuPayment';
}

/**
 * Returns the path in which the payment is located.
 *
 * @param 	string 	$plugin  The name of the caller.
 *
 * @return 	mixed 	The path if exists, otherwise false.
 */
function duitku_for_vik_get_payment_path($plugin)
{
	$path = DUITKU_FOR_VIK_DIR . DIRECTORY_SEPARATOR . $plugin . DIRECTORY_SEPARATOR . 'duitku.php';

	if (!is_file($path))
	{
		// there is not a version available for the given plugin
		return false;
	}

	return $path;
}